Bug 1573788 - Change in the behaviour of tftp inside of one major version
Summary: Change in the behaviour of tftp inside of one major version
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tftp
Version: 7.5
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Jan Synacek
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 1122832 1630908 1643104 1719445
TreeView+ depends on / blocked
 
Reported: 2018-05-02 09:37 UTC by Nikola Kresic
Modified: 2020-02-12 12:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-12 12:18:24 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Nikola Kresic 2018-05-02 09:37:32 UTC
Description of problem:
tftp now transfers the file that has CRLF (source file) with the CRLF intact (target file). In the older versions (RHEl 7.4 - tftp-5.2-12.el7.x86_64/tftp-5.2-13.el7.x86_64 for example), there would be conversion of the file on-the-fly so that the target file was in Unix format with only LF. 



Version-Release number of selected component (if applicable):
tftp-5.2-22.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. create a file with CRLF on the server side, maybe with unix2dos
2. tftp -v x.x.x.x -m -c get test_file /tmp/test1 
3. file /tmp/test1
/tmp/test1: ASCII text, with CRLF line terminators


Actual results:
change of a tool behaviour inside one major release

Expected results:
no changes

Additional info:

Comment 4 Kyle Walker 2020-02-12 12:18:24 UTC
When Red Hat shipped 7.7 on Aug 6, 2019 Red Hat Enterprise Linux 7 entered Maintenance Support 1 Phase.

    https://access.redhat.com/support/policy/updates/errata#Maintenance_Support_1_Phase

That means only "Critical and Important Security errata advisories (RHSAs) and Urgent Priority Bug Fix errata advisories (RHBAs) may be released". This BZ does not appear to meet Maintenance Support 1 Phase criteria so is being closed WONTFIX. If this is critical for your environment please open a case in the Red Hat Customer Portal, https://access.redhat.com ,provide a thorough business justification and ask that the BZ be re-opened for consideration in the next minor release.


Note You need to log in before you can comment on or make changes to this bug.